## floppybackup 1.2a

=== Makefile ===
#Makefile for floppybackup and floppyrestore

CFLAGS=-Wall -O2 -s

all: floppybackup floppyrestore floppycheck bytecount

floppybackup: floppybackup.c defines.h
	gcc $(CFLAGS) floppybackup.c -o floppybackup

floppyrestore: floppyrestore.c defines.h
	gcc $(CFLAGS) floppyrestore.c -o floppyrestore

floppycheck: floppycheck.c defines.h
	gcc $(CFLAGS) floppycheck.c -o floppycheck

bytecount: bytecount.c defines.h
	gcc $(CFLAGS) bytecount.c -o bytecount

install:
	@echo "Install manually."
	@echo "Example:"
	@echo "cp *.1 /usr/man/man1"
	@echo "cp floppy*backup floppy*restore floppycheck /usr/local/bin"

## floppybackup 1.3-2

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,10 @@
 	gcc $(CFLAGS) bytecount.c -o bytecount
 
 install:
-	@echo "Install manually."
-	@echo "Example:"
-	@echo "cp *.1 /usr/man/man1"
-	@echo "cp floppy*backup floppy*restore floppycheck /usr/local/bin"
+#	@echo "Install manually."
+#	@echo "Example:"
+#	@echo "cp *.1 /usr/man/man1"
+	install floppy*backup floppy*restore floppycheck bytecount $(DESTDIR)/usr/bin
+
+clean:
+	rm floppybackup floppyrestore floppycheck bytecount

=== debian/changelog ===
floppybackup (1.3-2) unstable stable frozen; urgency=high

  * Security Fix - fixed temporary file use

 -- Matthew Vernon <matthew@debian.org>  Thu, 10 Feb 2000 00:23:55 +0000
	

floppybackup (1.3-1) unstable; urgency=low
	
  * New maintainer
  * No outstanding bugs :-)
	
 -- Matthew Vernon <matthew@debian.org>  Mon, 23 Aug 1999 17:20:58 +0000

floppybackup (1.2a-2) unstable; urgency=low

  * Install bytecount #11813
  * Release for hamm.

 -- Christoph Lameter <clameter@debian.org>  Thu,  4 Sep 1997 16:08:38 -0700

floppybackup (1.2a-1) unstable; urgency=low

  * Initial Release.

 -- Christoph Lameter <clameter@debian.org>  Wed, 16 Apr 1997 12:35:19 -0700

Local variables:
mode: debian-changelog
add-log-mailing-address: "clameter@debian.org"
End:

=== debian/control ===
Source: floppybackup
Section: utils
Priority: optional
Maintainer: Matthew Vernon <matthew@debian.org>
Standards-Version: 2.1.2.2

Package: floppybackup
Architecture: any
Depends: ${shlibs:Depends}
Description: Floppy backup using a diversity of floppy formats
 This little package was hacked together because all the more
 sophisticated backup systems were more suited for tape drives and
 such, and even if they supported floppies, verify mode was either lacking
 or missing, and mixed-size floppies caused problems.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=floppybackup

build:
	$(checkdir)
	
	make CFLAGS="-O2 -g -Wall"

	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	make install DESTDIR=`pwd`/debian/tmp
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd README magic_addition
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## floppybackup 1.3-2.1

=== debian/changelog ===
floppybackup (1.3-2.1) unstable; urgency=low

  * NMU.
  * Add Build-Depends on debmake.  Closes: #179187.

 -- Daniel Schepler <schepler@debian.org>  Thu, 31 Jul 2003 20:56:16 -0700

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Matthew Vernon <matthew@debian.org>
+Build-Depends: debmake
 Standards-Version: 2.1.2.2
 
 Package: floppybackup

## floppybackup 1.3-3

=== debian/changelog ===
floppybackup (1.3-3) unstable; urgency=low

  * Maintainer upload (Closes: #179187)
  * Update to a newer standards-version (Closes: #239413)
  * Note that upstream has gone away (Closes: #143676, #44289)
  * Link to the GPL (Closes: #143675)
  * Remove emacs variables from this file
  * Add section and priority fields
	
 -- Matthew Vernon <matthew@debian.org>  Sat, 22 Jan 2005 22:09:28 +0000
	

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Matthew Vernon <matthew@debian.org>
 Build-Depends: debmake
-Standards-Version: 2.1.2.2
+Standards-Version: 3.5.6
 
 Package: floppybackup
 Architecture: any

## floppybackup 1.3-3.1

=== debian/changelog ===
floppybackup (1.3-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Get rid of the /usr/doc link in postinst (Closes: #359409).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sat, 15 Jul 2006 14:09:21 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,6 @@
 
 build:
 	$(checkdir)
-	
 	make CFLAGS="-O2 -g -Wall"
 
 	touch build
@@ -33,7 +32,7 @@
 # Must have debmake installed for this to work. Otherwise please copy
 # /usr/bin/debstd into the debian directory and change debstd to debian/debstd
 	debstd README magic_addition
-	dpkg-gencontrol
+	dpkg-gencontrol -isp
 	chown -R root.root debian/tmp
 	chmod -R go=rX debian/tmp
 	dpkg --build debian/tmp ..
